# cif_config.template.yaml
# ===================================================================
# CIF置換ワークフロー 設定ファイル (テンプレート)
# ===================================================================
# このファイルで、実行したい置換実験のすべての条件を定義します。

# 1. テンプレートの元になるCIFファイルを指定します。
#    このファイルを解析して、置換の「金型」となるテンプレートが作られます。
base_cif: 'path/to/your/base_file.cif'

# 2. 生成されるファイルが保存されるフォルダの基本名を指定します。
#    実行時のタイムスタンプが自動で付与されます (例: my_run_20250711_160000)。
experiment_name: 'my_experiment'

# 3. 原子置換のリスト
#    'cif_templater.py'が特定した役割名 (cation_1など) に対して、
#    置換したい元素をリスト形式で指定します。
#    価数を手動で上書きしたい場合は、['元素記号', 価数] の形式で記述します。
substitutions:
  # 例: TiO2 (cation_1, anion_1) の場合
  cation_1:
    - Si
    - Ge
    - ['V', 5]  # バナジウムを+5価で置換する場合

  anion_1:
    - S
    - Se
    - ['P', -3] # リンを-3価で置換する場合